detectedArch=`uname -m`

case "$detectedArch" in
	i?86) arch="x32" ;;
	x86_64) arch="x64" ;;
esac

case "$OSTYPE" in
  darwin*) platform="darwin" ;;
  linux*) platform="linux" ;;
esac

echo "Rebuilding SQLite3 for Electron... ($platform, $arch)"

npm rebuild --runtime="node" --target="5.1.0" --arch="$arch" sqlite3
mkdir -p node_modules/sqlite3/lib/binding/electron-v1.0-$platform-$arch
cp "node_modules/sqlite3/lib/binding/node-v47-$platform-$arch/node_sqlite3.node" "node_modules/sqlite3/lib/binding/electron-v1.0-$platform-$arch/node_sqlite3.node"