'use strict';

let regexes = [
	/^(?:event:)?'[a-z:\$%-]+'$/i, // events
	/[a-z0-9_]+\(/, // function signatures
	/^[a-z0-9_]+(\.[a-z0-9_]+)+/ // attributes
]

module.exports = function(string) {
	return regexes.some((regex) => regex.test(string));
}