'use strict';

const isFunction = require("is-function");

module.exports = function(object, additions) {
	let wrappedObject = {};

	Object.getOwnPropertyNames(object).forEach((key) => {
		if (isFunction(object[key])) {
			wrappedObject[key] = object[key].bind(object);
		}
	});

	return Object.assign(wrappedObject, additions);
}